import { OnDestroy, OnInit } from '@angular/core';
import { JsonFormsAngularService } from '@jsonforms/angular';
import { JsonFormsAbstractControl } from '@jsonforms/angular/lib/abstract-control';
import { ArrayLayoutProps, JsonFormsState, OwnPropsOfRenderer, RankedTester, StatePropsOfArrayLayout, UISchemaElement, UISchemaTester } from '@jsonforms/core';
export declare class ArrayLayoutRenderer extends JsonFormsAbstractControl<StatePropsOfArrayLayout> implements OnInit, OnDestroy {
    addTooltip: string;
    addAriaLabel: string;
    noDataMessage: string;
    removeTooltip: string;
    removeAriaLabel: string;
    noData: boolean;
    addItem: (path: string, value: any) => () => void;
    removeItems: (path: string, toDelete: number[]) => () => void;
    uischemas: {
        tester: UISchemaTester;
        uischema: UISchemaElement;
    }[];
    constructor(jsonFormsService: JsonFormsAngularService);
    mapToProps(state: JsonFormsState): StatePropsOfArrayLayout;
    remove(index: number): void;
    add(): void;
    ngOnInit(): void;
    mapAdditionalProps(props: ArrayLayoutProps): void;
    getProps(index: number): OwnPropsOfRenderer;
    trackByFn(index: number): number;
}
export declare const ArrayLayoutRendererTester: RankedTester;
